Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.sql.objectbuilder
Class ObjectOrColumnPsPartBuilder

    java.lang.Object
      org.apache.torque.sql.objectbuilder.ObjectOrColumnPsPartBuilder

All Implemented Interfaces:
  ObjectPsPartBuilder

    public class ObjectOrColumnPsPartBuilder

extends Object
implements ObjectPsPartBuilder

Builds a PreparedStatementPart from a column or single value.

Version:
  $Id: ObjectOrColumnPsPartBuilder.java 1448414 2013-02-20 21:06:35Z tfischer $

Constructor Summary
`ObjectOrColumnPsPartBuilder()`

Method Summary
`PreparedStatementPart` | `buildPs(Object toBuildFrom, boolean ignoreCase, Adapter adapter)` Builds a PreparedStatementPart from a column or single value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectOrColumnPsPartBuilder

    public ObjectOrColumnPsPartBuilder()

Method Detail

### buildPs

    public PreparedStatementPart buildPs(Object toBuildFrom,
                                         boolean ignoreCase,
                                         Adapter adapter)
                                  throws TorqueException

  Builds a PreparedStatementPart from a column or single value.

  Specified by:
    `buildPs` in interface `ObjectPsPartBuilder`
  Parameters:
    `toBuildFrom` - the object to build the psPart from.
    `ignoreCase` - If true and columns represent Strings, the appropriate function defined for the database will be used to ignore differences in case.
    `adapter` - The adapter for the database for which the SQL should be created, not null.
  Returns:
    the PreparedStatementPart for the object.
  Throws:
    `TorqueException` - when rendering fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.